Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

My sxhool, USF says that Firefox version 3.6 is most compatible, how do I get this version to be my browser?

more options

I use Blackboard with my school USF, and I have trouble, esp. with copying and pasting from Word document into the "white" space on Blackboard, which is the school's online class forum. The people at IT told me to be sure that I am using Firefox version 3.6 as they have problems with other versions. How do change my browser on my laptop and home PC to this version? I have updated my former versions of Firefox and want to go back to 3.6 to be compatible with the school's computer system. Thank you.

Chosen solution

See installing a previous verson of firefox noting that Firefox4 is no longer supported it is not secure, so the current choice is firefox 3.6 or firefox 5

See Install an older version of Firefox (correcting link). aw

Read this answer in context 👍 0

All Replies (3)

more options

Chosen Solution

See installing a previous verson of firefox noting that Firefox4 is no longer supported it is not secure, so the current choice is firefox 3.6 or firefox 5

See Install an older version of Firefox (correcting link). aw

Modified by AliceWyman

more options

Thank you very much for answering my question. I was able to go the link and download the 3.6 version. My next question is how do I make sure that I'm using the 3.6 version and delete any other version? Maybe I could just delete everything and download the 3.6 and then I would have what I want. I appreciate your help, have a nice day.

more options

You are better off using Firefox Portable for those "school" websites which only support Firefox 3.6 or older versions of Firefox. "Portable" install to its' own set of folders and won't affect any current version of Firefox you have installed.
http://portableapps.com/apps/internet/firefox_portable/localization#legacy36